# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(Tree/Simple.pm)
# END SourceDeps(oneline)
%define module_name Tree-Create-DepthFirst
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Create a Tree::Simple in the order as the created tree will traverse its nodes when traversing it d...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RE/RENE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
=pod

 use Tree::Create::DepthFirst;

 my $tree_creator = Tree::Create::DepthFirst->new();
 $tree_creator -> addNode(0, 'child 1');
 $tree_creator -> addNode(0, 'child 2');
 $tree_creator -> addNode(1, 'grand chhild 1');
 $tree_creator -> addNode(1, 'grand chhild 2');
 $tree_creator -> addNode(2, 'grand-grand chhild 2');

 my $tree_simple = $tree_creator->getTree();
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/T*

%changelog
* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

